%define anolis_release 1

%global srcname pylibmc
%global sum Memcached client for Python

Name:           python-%{srcname}
Version:        1.6.3
Release:        %{anolis_release}%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://sendapatch.se/projects/pylibmc/
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  libmemcached-devel
BuildRequires:  zlib-devel

%description
pylibmc is a client in Python for memcached. It is a wrapper
around TangentOrg‘s libmemcached library. The interface is
intentionally made as close to python-memcached as possible,
so that applications can drop-in replace it.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pylibmc is a client in Python 3 for memcached. It is a wrapper
around TangentOrg‘s libmemcached library. The interface is
intentionally made as close to python-memcached as possible,
so that applications can drop-in replace it.

%package -n python3-%{srcname}-doc
Summary:        %{sum}
Buildarch:      noarch

%description -n python3-%{srcname}-doc
%{sum}

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# there is an asterisk in the name of the file,
# because sometimes the suffix of the architecture is added
chmod 755 $RPM_BUILD_ROOT%{python3_sitearch}/_pylibmc.cpython-%{python3_version_nodots}*.so

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitearch}/%{srcname}-%{version}*.egg-info
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/*.so

%files -n python3-%{srcname}-doc
%doc docs/ README.rst

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.6.3-1
- Import package for anolis 23
